
QGIS Application - Bug report #16818

build error while building py_console

2017-07-09 09:59 AM - 伟 刘

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24717

Description

1>------ 已启动生成: 项目: version, 配置: RelWithDebInfo x64 ------

2>------ 已启动生成: 项目: ui, 配置: RelWithDebInfo x64 ------

3>------ 已启动生成: 项目: pyconsole, 配置: RelWithDebInfo x64 ------

3>  Building Custom Rule D:/Gis.Development/sgis/python/console/CMakeLists.txt

3>  CMake does not need to re-run because D:/Gis.Development/build-sgis-VS/python/console/CMakeFiles/generate.stamp is

up-to-date.

3>  Generating ui_console_compile_apis.py

3>  Traceback (most recent call last):

3>    File "D:\Gis.Development\sgis\scripts\\pyuic-wrapper.py", line 26, in <module>

3>      import qgis.PyQt.uic.pyuic

3>    File "D:\Gis.Development\build-sgis-VS\output\python\qgis\__init__.py", line 72, in <module>

3>      from qgis.core import QgsFeature, QgsGeometry

3>    File "D:\Gis.Development\build-sgis-VS\output\python\qgis\core\__init__.py", line 34, in <module>

3>      from qgis._core import *

3>  UnicodeDecodeError: 'utf-8' codec can't decode bytes in position 4216-4217: invalid continuation byte

3>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.CppCommon.targets(171,5): error MSB6006:

“cmd.exe”已退出，代码为 -1073740940。

========== 生成: 成功 2 个，失败 1 个，最新 10 个，跳过 0 个 ==========

Related issues:

Related to QGIS Application - Bug report # 16821: Building errors. Closed 2017-07-09

History

#1 - 2017-07-09 04:14 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is this a question? a bug report? in both cases you need to add more details, what are you trying to do/achieve?

#2 - 2017-07-09 04:53 PM - 伟 刘

Giovanni Manghi wrote:

Is this a question? a bug report? in both cases you need to add more details, what are you trying to do/achieve?

I think this is a bug.
I build qgis(master) in visual studio 2015 x64, Qt5.7.1，......,

And I also want to know how to resolve this problem.

UnicodeDecodeError: 'utf-8' codec can't decode bytes in position 4216-4217: invalid continuation byte

#3 - 2017-07-10 01:55 PM - Giovanni Manghi

I think this is a bug.

I build qgis(master) in visual studio 2015 x64, Qt5.7.1，......,

And I also want to know how to resolve this problem.

UnicodeDecodeError: 'utf-8' codec can't decode bytes in position 4216-4217: invalid continuation byte

In both cases (especially the first) I would prefer you to ask in the developers mailing list, we must be sure this is bug and not just having a hunch. In case

the bug is confirmed then we can reopen this. Thanks.

#4 - 2017-07-10 06:02 PM - Jürgen Fischer

- Related to Bug report #16821: Building errors. added

#5 - 2017-07-10 06:02 PM - Jürgen Fischer

- Description updated

#6 - 2018-02-22 12:27 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed
